unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, NxGridView6, NxColumns6, NxControls6,
  NxCustomGrid6, NxVirtualGrid6, NxGrid6, NxTypes6, NxIntf6;

type
  TForm3 = class(TForm)
    NextGrid61: TNextGrid6;
    NxProgressColumn61: TNxProgressColumn6;
    NxReportGridView61: TNxReportGridView6;
    procedure FormCreate(Sender: TObject);
    procedure NxProgressColumn61SetCell(Sender: TObject; ACol, ARow: Integer;
      Cell: INxBaseCell);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form3: TForm3;

implementation

{$R *.dfm}

procedure TForm3.FormCreate(Sender: TObject);
begin
  NextGrid61.AddCells(['25', '76', '48', '12'], [0]);
end;

procedure TForm3.NxProgressColumn61SetCell(Sender: TObject; ACol, ARow: Integer;
  Cell: INxBaseCell);
begin
  with Sender as TNxProgressColumn6 do
  begin
    Alignment := taRightJustify;
    ProgressHeight := 10;
    Editing := False;
    ProgressColor := clHighlight;
    ProgressStyle := pbSolid;
    TextWidth := 0;
    case ARow of
      0:
      begin

      end;
      1:
      begin
        Editing := True;
        TextWidth := 38;
        ProgressColor := clRed;
        ProgressStyle := pbBoxes;
      end;
      2:
      begin

      end;
      3:
      begin
        TextWidth := 38;
        Editing := True;
        ProgressHeight := 14;
      end;
    end;
  end;

end;

end.
